Last Comment Bug 684544 - Crash [@ LocationSetterGuts]
: Crash [@ LocationSetterGuts]
Status: RESOLVED FIXED
: crash, regression, testcase
Product: Core
Classification: Components
Component: XPConnect (show other bugs)
: Trunk
: All All
: P1 critical (vote)
: mozilla9
Assigned To: Boris Zbarsky [:bz]
:
Mentors:
Depends on:
Blocks: 594645 639720
  Show dependency treegraph
 
Reported: 2011-09-03 16:19 PDT by Jesse Ruderman
Modified: 2011-12-01 14:42 PST (History)
7 users (show)
bzbarsky: in‑testsuite+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments
testcase (260 bytes, text/html)
2011-09-03 16:19 PDT, Jesse Ruderman
no flags Details
stack trace (7.52 KB, text/plain)
2011-09-03 16:20 PDT, Jesse Ruderman
no flags Details
Restore missing null-check for location setter. (4.08 KB, patch)
2011-09-06 09:31 PDT, Boris Zbarsky [:bz]
mrbkap: review+
Details | Diff | Splinter Review

Description Jesse Ruderman 2011-09-03 16:19:00 PDT
Created attachment 558106 [details]
testcase

I'm guessing this is a regression from bug 639720.
Comment 1 Jesse Ruderman 2011-09-03 16:20:43 PDT
Created attachment 558107 [details]
stack trace
Comment 2 Boris Zbarsky [:bz] 2011-09-06 09:31:00 PDT
Created attachment 558496 [details] [diff] [review]
Restore missing null-check for location setter.
Comment 3 Boris Zbarsky [:bz] 2011-09-06 10:00:35 PDT
Requesting tracking for this crash regression, on the wild chance that we don't get the patch landed before aurora branch.
Comment 4 Marcia Knous [:marcia - use ni] 2011-09-06 14:28:20 PDT
Adding the Windows specific signature so it shows up in crash stats.
Comment 6 Phil Ringnalda (:philor) 2011-09-06 22:12:58 PDT
Backed out - https://tbpl.mozilla.org/?tree=Mozilla-Inbound&usebuildbot=1&rev=d01a282b5a40 should be the clearest rev to see the orange from this set, free from the leak that backout fixed.
Comment 7 Boris Zbarsky [:bz] 2011-09-07 07:03:13 PDT
Yeah, this caused the orange.  The issue was that we were wrapping the nsIDOMLocation into vp _before_ doing the JS_ValueToString!  I switched the order of those, and things are peachy now.  Pushed http://hg.mozilla.org/integration/mozilla-inbound/rev/575af26e14b8
Comment 9 [:Cww] 2011-12-01 14:42:01 PST
Landed in 9, not tracking now.

Note You need to log in before you can comment on or make changes to this bug.